import * as z from 'zod';
export const InsuranceCredentialAggregateResultSchema = z.object({  _count: z.object({
    id: z.number(),
    userId: z.number(),
    siteKey: z.number(),
    username: z.number(),
    password: z.number(),
    user: z.number()
  }).optional(),
  _sum: z.object({
    id: z.number().nullable(),
    userId: z.number().nullable()
  }).nullable().optional(),
  _avg: z.object({
    id: z.number().nullable(),
    userId: z.number().nullable()
  }).nullable().optional(),
  _min: z.object({
    id: z.number().int().nullable(),
    userId: z.number().int().nullable(),
    siteKey: z.string().nullable(),
    username: z.string().nullable(),
    password: z.string().nullable()
  }).nullable().optional(),
  _max: z.object({
    id: z.number().int().nullable(),
    userId: z.number().int().nullable(),
    siteKey: z.string().nullable(),
    username: z.string().nullable(),
    password: z.string().nullable()
  }).nullable().optional()});